Bug 496132 - Review Request: fuse - File System in Userspace (FUSE) utilities
Review Request: fuse - File System in Userspace (FUSE) utilities
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Eric Sandeen
:
Depends On:
Blocks: 188273 252372
  Show dependency treegraph
 
Reported: 2009-04-16 15:34 EDT by Josef Bacik
Modified: 2009-05-05 12:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 12:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2009-04-16 15:34:00 EDT
Spec URL: http://people.redhat.com/jwhiter/fuse.spec
SRPM URL: http://people.redhat.com/jwhiter/fuse-2.7.4-4.el5.src.rpm
Description: With FUSE it is possible to implement a fully functional filesystem in a userspace program. This package contains the FUSE userspace tools to mount a FUSE filesystem.
Comment 1 Peter Lemenkov 2009-04-17 05:55:36 EDT
I suspect that RHEL version (see dropbox above) for this ticket is wrong. 

BTW, it's a good news that RHEL heads decided to add support for FUSE after years of hesitation :)
Comment 2 Josef Bacik 2009-04-17 10:12:39 EDT
Ah yes you are right, thank you.  Also, thank you for making a nice easy spec file that I could just copy over and make no changes to :).
Comment 3 Eric Sandeen 2009-04-20 17:55:26 EDT
I guess I'm allowed to do this review.... I'll take it.

Any pointers to the original Fedora review for this package....?
Comment 4 Eric Sandeen 2009-04-20 17:59:49 EDT
Easy stuff first: I get these warnings and errors:

# rpmlint /usr/src/redhat/RPMS/x86_64/fuse-2.7.4-4.x86_64.rpm /usr/src/redhat/RPMS/x86_64/fuse-libs-2.7.4-4.x86_64.rpm /usr/src/redhat/RPMS/x86_64/fuse-devel-2.7.4-4.x86_64.rpm
fuse.x86_64: W: non-conffile-in-etc /etc/makedev.d/z-fuse
fuse.x86_64: E: setuid-binary /bin/fusermount root 04755
fuse.x86_64: E: non-standard-executable-perm /bin/fusermount 04755
fuse.x86_64: W: symlink-should-be-relative /usr/bin/ulockmgr_server /bin/ulockmgr_server
fuse.x86_64: W: symlink-should-be-relative /usr/bin/fusermount /bin/fusermount
fuse.x86_64: W: conffile-without-noreplace-flag /etc/udev/makedev.d/99-fuse.nodes
fuse.x86_64: W: conffile-without-noreplace-flag /etc/udev/rules.d/99-fuse.rules
fuse-devel.x86_64: W: no-documentation

some you can waive off, but you will probably need to talk to some security folks about the setuid binary just to be sure, at least ....

-Eric
Comment 5 Eric Sandeen 2009-04-21 14:08:59 EDT
The rest looks pretty much ok to me.  A couple things were confusing, so maybe worth a comment:

%preun
if [ -f /etc/init.d/fuse ] ; then
    /sbin/service fuse stop >/dev/null 2>&1
    /sbin/chkconfig --del fuse
fi

Because the fuse package no longer ships /etc/init.d/fuse, this looks right.  Initially I wondered why there was no restart on an upgrade, but it's because it's deprecated, so that's ok.

Also, therefore:

Requires(post): /sbin/chkconfig	# -> chkconfig
Requires(post): /sbin/MAKEDEV	# -> MAKEDEV
Requires(preun): /sbin/chkconfig# -> chkconfig
Requires(preun): /sbin/service	# -> initscripts
Requires(postun):/sbin/service	# -> initscripts

is probably a little excessive; no %post or %postun requires /sbin/service.

Also as noted above in my "# ->" comments, I think it may be preferable to specify the package, not the file, in these dependencies.

If there's a reason that the %config files are not %noreplace, it might be worth a comment.

You might coordinate any changes with Peter, as Fedora is this package's "upstream"

None of these other than the setuid binary approval are blockers, I think, but wanted to bring them to yoru attention.

Thanks,
-Eric
Comment 6 Peter Lemenkov 2009-04-21 14:59:45 EDT
(In reply to comment #5)

> Also, therefore:
> 
> Requires(post): /sbin/chkconfig # -> chkconfig
> Requires(post): /sbin/MAKEDEV # -> MAKEDEV
> Requires(preun): /sbin/chkconfig# -> chkconfig
> Requires(preun): /sbin/service # -> initscripts
> Requires(postun):/sbin/service # -> initscripts

Good catch. Thanks. 

> You might coordinate any changes with Peter, as Fedora is this package's
> "upstream"

Already here :)
Comment 7 Josef Bacik 2009-04-23 10:50:57 EDT
Ok heres the updated srpm and such

Spec URL: http://people.redhat.com/jwhiter/fuse.spec
SRPM URL: http://people.redhat.com/jwhiter/fuse-2.7.4-6.el5.src.rpm

Let me know what you guys think.
Comment 8 Josef Bacik 2009-04-23 11:14:50 EDT
Spec URL: http://people.redhat.com/jwhiter/fuse.spec
SRPM URL: http://people.redhat.com/jwhiter/fuse-2.7.4-7.el5.src.rpm

lets try this again.
Comment 9 Eric Sandeen 2009-04-23 11:29:01 EDT
Looks good.  Moving to RHEL5.0-ACCEPT, assuming the security/suid issue being properly handled.

Thanks,
-Eric
Comment 10 Eric Sandeen 2009-05-05 12:29:27 EDT
I'm done with this, I guess CLOSED is ok.  :)

Note You need to log in before you can comment on or make changes to this bug.